View Issue Details

IDProjectCategoryView StatusLast Update
0014365ScribusUser Interfacepublic2019-11-07 18:54
Reporterftake Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status newResolutionopen 
PlatformLinuxOSopenSUSE LeapOS Version42.2
Product Version1.5.3.svn 
Target VersionFixed in Version 
Summary0014365: [PATCH] Style Manager Dialog is too big to show on 1280x800 display
DescriptionFont size of Scribus UI got bigger recently and now the height of style manager dialog is too big to show on normal laptop display (1280x800 or 1366x768). So I cannot click OK or Cancel button.

DPI value configured with KDE System Settings is 96 and Migu 1C is used as an UI font.
TagsNo tags attached.
PatchYes

Activities

ftake

2016-11-13 13:02

reporter  

Kunda

2016-11-14 02:30

manager   ~0042413

+1 will post an example soon

ftake

2017-05-07 07:16

reporter   ~0043897

Well, the explanation about the screen shot is not enough. There are OK and Cancel at the bottom of the window, which are hidden under the KDE panel.

We need scroll bar for this text-style window or move some components to a new tab.

Matt234

2017-05-11 14:44

reporter   ~0043905

+1, also happens on HiDPI screens with 3200x1800 resolution.

Fahad

2019-10-10 11:31

developer   ~0046761

It seems that no more space left in SMPStyleWidget & SMCStyleWidget
after we added advance text properties [font features ..etc].
To fix this I put them in scrollarea so all properties can fit in one
place. The patch is attached.

StyleManagerfix.patch (116,437 bytes)
diff --git a/scribus/ui/smcstylewidget.ui b/scribus/ui/smcstylewidget.ui
index 33bb56a20..53e29a216 100644
--- a/scribus/ui/smcstylewidget.ui
+++ b/scribus/ui/smcstylewidget.ui
@@ -7,11 +7,11 @@
     <x>0</x>
     <y>0</y>
     <width>402</width>
-    <height>624</height>
+    <height>488</height>
    </rect>
   </property>
   <property name="sizePolicy">
-   <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
+   <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
     <horstretch>0</horstretch>
     <verstretch>0</verstretch>
    </sizepolicy>
@@ -40,783 +40,807 @@
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_6">
        <item>
-        <layout class="QVBoxLayout" name="verticalLayout_2">
-         <item>
-          <layout class="QHBoxLayout" name="_3">
+        <widget class="QScrollArea" name="scrollArea">
+         <property name="sizePolicy">
+          <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
+           <horstretch>0</horstretch>
+           <verstretch>0</verstretch>
+          </sizepolicy>
+         </property>
+         <property name="frameShape">
+          <enum>QFrame::StyledPanel</enum>
+         </property>
+         <property name="widgetResizable">
+          <bool>true</bool>
+         </property>
+         <widget class="QWidget" name="scrollAreaWidgetContents">
+          <property name="geometry">
+           <rect>
+            <x>0</x>
+            <y>0</y>
+            <width>349</width>
+            <height>638</height>
+           </rect>
+          </property>
+          <layout class="QVBoxLayout" name="verticalLayout_8">
            <item>
-            <widget class="QLabel" name="parentLabel">
-             <property name="text">
-              <string>Based On:</string>
-             </property>
-             <property name="wordWrap">
-              <bool>false</bool>
-             </property>
-             <property name="buddy">
-              <cstring>parentCombo</cstring>
-             </property>
-            </widget>
+            <layout class="QHBoxLayout" name="_3">
+             <item>
+              <widget class="QLabel" name="parentLabel">
+               <property name="text">
+                <string>Based On:</string>
+               </property>
+               <property name="wordWrap">
+                <bool>false</bool>
+               </property>
+               <property name="buddy">
+                <cstring>parentCombo</cstring>
+               </property>
+              </widget>
+             </item>
+             <item>
+              <widget class="QComboBox" name="parentCombo">
+               <property name="sizePolicy">
+                <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
+                 <horstretch>5</horstretch>
+                 <verstretch>0</verstretch>
+                </sizepolicy>
+               </property>
+               <property name="toolTip">
+                <string>Parent Style</string>
+               </property>
+              </widget>
+             </item>
+            </layout>
            </item>
            <item>
-            <widget class="QComboBox" name="parentCombo">
-             <property name="sizePolicy">
-              <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
-               <horstretch>5</horstretch>
-               <verstretch>0</verstretch>
-              </sizepolicy>
-             </property>
-             <property name="toolTip">
-              <string>Parent Style</string>
+            <widget class="QGroupBox" name="basicGroup">
+             <property name="title">
+              <string>Basic Formatting</string>
              </property>
-            </widget>
-           </item>
-          </layout>
-         </item>
-         <item>
-          <widget class="QGroupBox" name="basicGroup">
-           <property name="title">
-            <string>Basic Formatting</string>
-           </property>
-           <layout class="QVBoxLayout" name="_4">
-            <property name="spacing">
-             <number>3</number>
-            </property>
-            <property name="leftMargin">
-             <number>5</number>
-            </property>
-            <property name="topMargin">
-             <number>5</number>
-            </property>
-            <property name="rightMargin">
-             <number>5</number>
-            </property>
-            <property name="bottomMargin">
-             <number>5</number>
-            </property>
-            <item>
-             <widget class="SMFontComboH" name="fontFace_" native="true">
-              <property name="sizePolicy">
-               <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
-                <horstretch>0</horstretch>
-                <verstretch>0</verstretch>
-               </sizepolicy>
+             <layout class="QVBoxLayout" name="_4">
+              <property name="spacing">
+               <number>3</number>
               </property>
-              <property name="minimumSize">
-               <size>
-                <width>0</width>
-                <height>62</height>
-               </size>
+              <property name="leftMargin">
+               <number>5</number>
+              </property>
+              <property name="topMargin">
+               <number>5</number>
+              </property>
+              <property name="rightMargin">
+               <number>5</number>
+              </property>
+              <property name="bottomMargin">
+               <number>5</number>
               </property>
-             </widget>
-            </item>
-            <item>
-             <layout class="QHBoxLayout" name="_5">
-              <item>
-               <widget class="QLabel" name="fontSizeLabel_">
-                <property name="minimumSize">
-                 <size>
-                  <width>22</width>
-                  <height>22</height>
-                 </size>
-                </property>
-                <property name="text">
-                 <string/>
-                </property>
-                <property name="buddy">
-                 <cstring>fontSize_</cstring>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMScrSpinBox" name="fontSize_">
-                <property name="toolTip">
-                 <string>Font Size</string>
-                </property>
-                <property name="minimum">
-                 <number>1</number>
-                </property>
-                <property name="maximum">
-                 <number>2048</number>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QLabel" name="trackingLabel_">
-                <property name="minimumSize">
-                 <size>
-                  <width>22</width>
-                  <height>22</height>
-                 </size>
-                </property>
-                <property name="text">
-                 <string/>
-                </property>
-                <property name="buddy">
-                 <cstring>tracking_</cstring>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMScrSpinBox" name="tracking_">
-                <property name="toolTip">
-                 <string>Tracking</string>
-                </property>
-                <property name="suffix">
-                 <string> %</string>
-                </property>
-                <property name="minimum">
-                 <number>-300</number>
-                </property>
-                <property name="maximum">
-                 <number>300</number>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QLabel" name="widthSpaceLabel">
-                <property name="minimumSize">
-                 <size>
-                  <width>22</width>
-                  <height>22</height>
-                 </size>
-                </property>
-                <property name="textInteractionFlags">
-                 <set>Qt::NoTextInteraction</set>
-                </property>
-                <property name="buddy">
-                 <cstring>widthSpaceSpin</cstring>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMScrSpinBox" name="widthSpaceSpin">
-                <property name="toolTip">
-                 <string>Default width for space</string>
-                </property>
-                <property name="suffix">
-                 <string> %</string>
-                </property>
-                <property name="minimum">
-                 <number>1</number>
-                </property>
-                <property name="maximum">
-                 <number>199</number>
-                </property>
-                <property name="value">
-                 <number>100</number>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <spacer>
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>40</width>
-                  <height>20</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-             </layout>
-            </item>
-            <item>
-             <layout class="QHBoxLayout" name="_6">
               <item>
-               <widget class="SMStyleSelect" name="effects_" native="true">
+               <widget class="SMFontComboH" name="fontFace_" native="true">
                 <property name="sizePolicy">
-                 <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
+                 <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
                   <horstretch>0</horstretch>
                   <verstretch>0</verstretch>
                  </sizepolicy>
                 </property>
                 <property name="minimumSize">
                  <size>
-                  <width>30</width>
-                  <height>0</height>
+                  <width>0</width>
+                  <height>62</height>
                  </size>
                 </property>
                </widget>
               </item>
+              <item>
+               <layout class="QHBoxLayout" name="_5">
+                <item>
+                 <widget class="QLabel" name="fontSizeLabel_">
+                  <property name="minimumSize">
+                   <size>
+                    <width>22</width>
+                    <height>22</height>
+                   </size>
+                  </property>
+                  <property name="text">
+                   <string/>
+                  </property>
+                  <property name="buddy">
+                   <cstring>fontSize_</cstring>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="SMScrSpinBox" name="fontSize_">
+                  <property name="toolTip">
+                   <string>Font Size</string>
+                  </property>
+                  <property name="minimum">
+                   <number>1</number>
+                  </property>
+                  <property name="maximum">
+                   <number>2048</number>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="QLabel" name="trackingLabel_">
+                  <property name="minimumSize">
+                   <size>
+                    <width>22</width>
+                    <height>22</height>
+                   </size>
+                  </property>
+                  <property name="text">
+                   <string/>
+                  </property>
+                  <property name="buddy">
+                   <cstring>tracking_</cstring>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="SMScrSpinBox" name="tracking_">
+                  <property name="toolTip">
+                   <string>Tracking</string>
+                  </property>
+                  <property name="suffix">
+                   <string> %</string>
+                  </property>
+                  <property name="minimum">
+                   <number>-300</number>
+                  </property>
+                  <property name="maximum">
+                   <number>300</number>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="QLabel" name="widthSpaceLabel">
+                  <property name="minimumSize">
+                   <size>
+                    <width>22</width>
+                    <height>22</height>
+                   </size>
+                  </property>
+                  <property name="textInteractionFlags">
+                   <set>Qt::NoTextInteraction</set>
+                  </property>
+                  <property name="buddy">
+                   <cstring>widthSpaceSpin</cstring>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="SMScrSpinBox" name="widthSpaceSpin">
+                  <property name="toolTip">
+                   <string>Default width for space</string>
+                  </property>
+                  <property name="suffix">
+                   <string> %</string>
+                  </property>
+                  <property name="minimum">
+                   <number>1</number>
+                  </property>
+                  <property name="maximum">
+                   <number>199</number>
+                  </property>
+                  <property name="value">
+                   <number>100</number>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <spacer>
+                  <property name="orientation">
+                   <enum>Qt::Horizontal</enum>
+                  </property>
+                  <property name="sizeHint" stdset="0">
+                   <size>
+                    <width>40</width>
+                    <height>20</height>
+                   </size>
+                  </property>
+                 </spacer>
+                </item>
+               </layout>
+              </item>
+              <item>
+               <layout class="QHBoxLayout" name="_6">
+                <item>
+                 <widget class="SMStyleSelect" name="effects_" native="true">
+                  <property name="sizePolicy">
+                   <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
+                    <horstretch>0</horstretch>
+                    <verstretch>0</verstretch>
+                   </sizepolicy>
+                  </property>
+                  <property name="minimumSize">
+                   <size>
+                    <width>30</width>
+                    <height>0</height>
+                   </size>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <spacer>
+                  <property name="orientation">
+                   <enum>Qt::Horizontal</enum>
+                  </property>
+                  <property name="sizeType">
+                   <enum>QSizePolicy::Expanding</enum>
+                  </property>
+                  <property name="sizeHint" stdset="0">
+                   <size>
+                    <width>20</width>
+                    <height>40</height>
+                   </size>
+                  </property>
+                 </spacer>
+                </item>
+               </layout>
+              </item>
               <item>
                <spacer>
                 <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
+                 <enum>Qt::Vertical</enum>
                 </property>
                 <property name="sizeType">
-                 <enum>QSizePolicy::Expanding</enum>
+                 <enum>QSizePolicy::MinimumExpanding</enum>
                 </property>
                 <property name="sizeHint" stdset="0">
                  <size>
-                  <width>20</width>
-                  <height>40</height>
+                  <width>300</width>
+                  <height>0</height>
                  </size>
                 </property>
                </spacer>
               </item>
              </layout>
-            </item>
-            <item>
-             <spacer>
-              <property name="orientation">
-               <enum>Qt::Vertical</enum>
+            </widget>
+           </item>
+           <item>
+            <widget class="QGroupBox" name="advGroup">
+             <property name="title">
+              <string>Advanced Formatting</string>
+             </property>
+             <layout class="QVBoxLayout" name="_7">
+              <property name="spacing">
+               <number>3</number>
               </property>
-              <property name="sizeType">
-               <enum>QSizePolicy::MinimumExpanding</enum>
+              <property name="leftMargin">
+               <number>5</number>
               </property>
-              <property name="sizeHint" stdset="0">
-               <size>
-                <width>300</width>
-                <height>0</height>
-               </size>
+              <property name="topMargin">
+               <number>5</number>
+              </property>
+              <property name="rightMargin">
+               <number>5</number>
+              </property>
+              <property name="bottomMargin">
+               <number>5</number>
               </property>
-             </spacer>
-            </item>
-           </layout>
-          </widget>
-         </item>
-         <item>
-          <widget class="QGroupBox" name="advGroup">
-           <property name="title">
-            <string>Advanced Formatting</string>
-           </property>
-           <layout class="QVBoxLayout" name="_7">
-            <property name="spacing">
-             <number>3</number>
-            </property>
-            <property name="leftMargin">
-             <number>5</number>
-            </property>
-            <property name="topMargin">
-             <number>5</number>
-            </property>
-            <property name="rightMargin">
-             <number>5</number>
-            </property>
-            <property name="bottomMargin">
-             <number>5</number>
-            </property>
-            <item>
-             <layout class="QHBoxLayout" name="_8">
-              <item>
-               <widget class="QLabel" name="hscaleLabel_">
-                <property name="minimumSize">
-                 <size>
-                  <width>20</width>
-                  <height>0</height>
-                 </size>
-                </property>
-                <property name="maximumSize">
-                 <size>
-                  <width>22</width>
-                  <height>22</height>
-                 </size>
-                </property>
-                <property name="text">
-                 <string/>
-                </property>
-                <property name="buddy">
-                 <cstring>fontHScale_</cstring>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMScrSpinBox" name="fontHScale_">
-                <property name="toolTip">
-                 <string>Horizontal Scaling</string>
-                </property>
-                <property name="suffix">
-                 <string> %</string>
-                </property>
-                <property name="minimum">
-                 <number>10</number>
-                </property>
-                <property name="maximum">
-                 <number>400</number>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QLabel" name="vscaleLabel_">
-                <property name="minimumSize">
-                 <size>
-                  <width>20</width>
-                  <height>0</height>
-                 </size>
-                </property>
-                <property name="maximumSize">
-                 <size>
-                  <width>22</width>
-                  <height>22</height>
-                 </size>
-                </property>
-                <property name="text">
-                 <string/>
-                </property>
-                <property name="buddy">
-                 <cstring>fontVScale_</cstring>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMScrSpinBox" name="fontVScale_">
-                <property name="toolTip">
-                 <string>Vertical Scaling</string>
-                </property>
-                <property name="suffix">
-                 <string> %</string>
-                </property>
-                <property name="minimum">
-                 <number>10</number>
-                </property>
-                <property name="maximum">
-                 <number>400</number>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QLabel" name="baselineOffsetLabel_">
-                <property name="minimumSize">
-                 <size>
-                  <width>10</width>
-                  <height>0</height>
-                 </size>
-                </property>
-                <property name="maximumSize">
-                 <size>
-                  <width>22</width>
-                  <height>22</height>
-                 </size>
-                </property>
-                <property name="text">
-                 <string/>
-                </property>
-                <property name="buddy">
-                 <cstring>baselineOffset_</cstring>
-                </property>
-               </widget>
-              </item>
               <item>
-               <widget class="SMScrSpinBox" name="baselineOffset_">
-                <property name="toolTip">
-                 <string>Baseline Offset</string>
-                </property>
-                <property name="suffix">
-                 <string> %</string>
-                </property>
-                <property name="minimum">
-                 <number>-100</number>
-                </property>
-                <property name="maximum">
-                 <number>100</number>
-                </property>
+               <layout class="QHBoxLayout" name="_8">
+                <item>
+                 <widget class="QLabel" name="hscaleLabel_">
+                  <property name="minimumSize">
+                   <size>
+                    <width>20</width>
+                    <height>0</height>
+                   </size>
+                  </property>
+                  <property name="maximumSize">
+                   <size>
+                    <width>22</width>
+                    <height>22</height>
+                   </size>
+                  </property>
+                  <property name="text">
+                   <string/>
+                  </property>
+                  <property name="buddy">
+                   <cstring>fontHScale_</cstring>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="SMScrSpinBox" name="fontHScale_">
+                  <property name="toolTip">
+                   <string>Horizontal Scaling</string>
+                  </property>
+                  <property name="suffix">
+                   <string> %</string>
+                  </property>
+                  <property name="minimum">
+                   <number>10</number>
+                  </property>
+                  <property name="maximum">
+                   <number>400</number>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="QLabel" name="vscaleLabel_">
+                  <property name="minimumSize">
+                   <size>
+                    <width>20</width>
+                    <height>0</height>
+                   </size>
+                  </property>
+                  <property name="maximumSize">
+                   <size>
+                    <width>22</width>
+                    <height>22</height>
+                   </size>
+                  </property>
+                  <property name="text">
+                   <string/>
+                  </property>
+                  <property name="buddy">
+                   <cstring>fontVScale_</cstring>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="SMScrSpinBox" name="fontVScale_">
+                  <property name="toolTip">
+                   <string>Vertical Scaling</string>
+                  </property>
+                  <property name="suffix">
+                   <string> %</string>
+                  </property>
+                  <property name="minimum">
+                   <number>10</number>
+                  </property>
+                  <property name="maximum">
+                   <number>400</number>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="QLabel" name="baselineOffsetLabel_">
+                  <property name="minimumSize">
+                   <size>
+                    <width>10</width>
+                    <height>0</height>
+                   </size>
+                  </property>
+                  <property name="maximumSize">
+                   <size>
+                    <width>22</width>
+                    <height>22</height>
+                   </size>
+                  </property>
+                  <property name="text">
+                   <string/>
+                  </property>
+                  <property name="buddy">
+                   <cstring>baselineOffset_</cstring>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="SMScrSpinBox" name="baselineOffset_">
+                  <property name="toolTip">
+                   <string>Baseline Offset</string>
+                  </property>
+                  <property name="suffix">
+                   <string> %</string>
+                  </property>
+                  <property name="minimum">
+                   <number>-100</number>
+                  </property>
+                  <property name="maximum">
+                   <number>100</number>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <spacer>
+                  <property name="orientation">
+                   <enum>Qt::Horizontal</enum>
+                  </property>
+                  <property name="sizeHint" stdset="0">
+                   <size>
+                    <width>40</width>
+                    <height>20</height>
+                   </size>
+                  </property>
+                 </spacer>
+                </item>
+               </layout>
+              </item>
+              <item>
+               <layout class="QHBoxLayout" name="_9">
+                <item>
+                 <widget class="QLabel" name="languageLabel_">
+                  <property name="text">
+                   <string>Language:</string>
+                  </property>
+                  <property name="buddy">
+                   <cstring>language_</cstring>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="SMScComboBox" name="language_">
+                  <property name="toolTip">
+                   <string>Language</string>
+                  </property>
+                  <property name="editable">
+                   <bool>true</bool>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <spacer>
+                  <property name="orientation">
+                   <enum>Qt::Horizontal</enum>
+                  </property>
+                  <property name="sizeHint" stdset="0">
+                   <size>
+                    <width>40</width>
+                    <height>20</height>
+                   </size>
+                  </property>
+                 </spacer>
+                </item>
+               </layout>
+              </item>
+              <item>
+               <widget class="QGroupBox" name="hyphenGroup">
+                <property name="title">
+                 <string>Hyphenation</string>
+                </property>
+                <layout class="QVBoxLayout" name="verticalLayout_4">
+                 <item>
+                  <layout class="QHBoxLayout" name="horizontalLayout_3">
+                   <item>
+                    <widget class="QLabel" name="label_4">
+                     <property name="text">
+                      <string>Hyphenation Character:</string>
+                     </property>
+                    </widget>
+                   </item>
+                   <item>
+                    <widget class="SMLineEdit" name="hyphenCharLineEdit"/>
+                   </item>
+                   <item>
+                    <spacer name="horizontalSpacer_2">
+                     <property name="orientation">
+                      <enum>Qt::Horizontal</enum>
+                     </property>
+                     <property name="sizeHint" stdset="0">
+                      <size>
+                       <width>40</width>
+                       <height>20</height>
+                      </size>
+                     </property>
+                    </spacer>
+                   </item>
+                  </layout>
+                 </item>
+                 <item>
+                  <layout class="QHBoxLayout" name="horizontalLayout">
+                   <item>
+                    <widget class="QLabel" name="smallestWordLabel">
+                     <property name="text">
+                      <string>Smallest Word:</string>
+                     </property>
+                    </widget>
+                   </item>
+                   <item>
+                    <widget class="SMSpinBox" name="smallestWordSpinBox">
+                     <property name="minimum">
+                      <number>3</number>
+                     </property>
+                    </widget>
+                   </item>
+                   <item>
+                    <widget class="QLabel" name="smallestWordLabel2">
+                     <property name="text">
+                      <string>Characters</string>
+                     </property>
+                    </widget>
+                   </item>
+                   <item>
+                    <spacer name="horizontalSpacer">
+                     <property name="orientation">
+                      <enum>Qt::Horizontal</enum>
+                     </property>
+                     <property name="sizeHint" stdset="0">
+                      <size>
+                       <width>40</width>
+                       <height>20</height>
+                      </size>
+                     </property>
+                    </spacer>
+                   </item>
+                  </layout>
+                 </item>
+                </layout>
                </widget>
               </item>
               <item>
                <spacer>
                 <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
+                 <enum>Qt::Vertical</enum>
                 </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>40</width>
-                  <height>20</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-             </layout>
-            </item>
-            <item>
-             <layout class="QHBoxLayout" name="_9">
-              <item>
-               <widget class="QLabel" name="languageLabel_">
-                <property name="text">
-                 <string>Language:</string>
-                </property>
-                <property name="buddy">
-                 <cstring>language_</cstring>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMScComboBox" name="language_">
-                <property name="toolTip">
-                 <string>Language</string>
-                </property>
-                <property name="editable">
-                 <bool>true</bool>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <spacer>
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
+                <property name="sizeType">
+                 <enum>QSizePolicy::MinimumExpanding</enum>
                 </property>
                 <property name="sizeHint" stdset="0">
                  <size>
-                  <width>40</width>
-                  <height>20</height>
+                  <width>300</width>
+                  <height>0</height>
                  </size>
                 </property>
                </spacer>
               </item>
              </layout>
-            </item>
-            <item>
-             <spacer>
-              <property name="orientation">
-               <enum>Qt::Vertical</enum>
+            </widget>
+           </item>
+           <item>
+            <widget class="QGroupBox" name="smColorGroup">
+             <property name="title">
+              <string>Colors</string>
+             </property>
+             <layout class="QVBoxLayout" name="verticalLayout">
+              <property name="spacing">
+               <number>3</number>
               </property>
-              <property name="sizeType">
-               <enum>QSizePolicy::MinimumExpanding</enum>
+              <property name="leftMargin">
+               <number>5</number>
               </property>
-              <property name="sizeHint" stdset="0">
-               <size>
-                <width>300</width>
-                <height>0</height>
-               </size>
+              <property name="topMargin">
+               <number>5</number>
+              </property>
+              <property name="rightMargin">
+               <number>5</number>
+              </property>
+              <property name="bottomMargin">
+               <number>5</number>
               </property>
-             </spacer>
-            </item>
-           </layout>
-          </widget>
-         </item>
-         <item>
-          <widget class="QGroupBox" name="hyphenGroup">
-           <property name="title">
-            <string>Hyphenation</string>
-           </property>
-           <layout class="QVBoxLayout" name="verticalLayout_4">
-            <item>
-             <layout class="QHBoxLayout" name="horizontalLayout_3">
-              <item>
-               <widget class="QLabel" name="label_4">
-                <property name="text">
-                 <string>Hyphenation Character:</string>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMLineEdit" name="hyphenCharLineEdit"/>
-              </item>
-              <item>
-               <spacer name="horizontalSpacer_2">
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>40</width>
-                  <height>20</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-             </layout>
-            </item>
-            <item>
-             <layout class="QHBoxLayout" name="horizontalLayout">
-              <item>
-               <widget class="QLabel" name="smallestWordLabel">
-                <property name="text">
-                 <string>Smallest Word:</string>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMSpinBox" name="smallestWordSpinBox">
-                <property name="minimum">
-                 <number>3</number>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QLabel" name="smallestWordLabel2">
-                <property name="text">
-                 <string>Characters</string>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <spacer name="horizontalSpacer">
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>40</width>
-                  <height>20</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-             </layout>
-            </item>
-           </layout>
-          </widget>
-         </item>
-         <item>
-          <widget class="QGroupBox" name="smColorGroup">
-           <property name="title">
-            <string>Colors</string>
-           </property>
-           <layout class="QVBoxLayout" name="verticalLayout">
-            <property name="spacing">
-             <number>3</number>
-            </property>
-            <property name="leftMargin">
-             <number>5</number>
-            </property>
-            <property name="topMargin">
-             <number>5</number>
-            </property>
-            <property name="rightMargin">
-             <number>5</number>
-            </property>
-            <property name="bottomMargin">
-             <number>5</number>
-            </property>
-            <item>
-             <layout class="QHBoxLayout" name="_2">
-              <item>
-               <widget class="QLabel" name="FillIcon">
-                <property name="minimumSize">
-                 <size>
-                  <width>20</width>
-                  <height>0</height>
-                 </size>
-                </property>
-                <property name="maximumSize">
-                 <size>
-                  <width>22</width>
-                  <height>22</height>
-                 </size>
-                </property>
-                <property name="text">
-                 <string/>
-                </property>
-                <property name="buddy">
-                 <cstring>fillColor_</cstring>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMColorCombo" name="fillColor_">
-                <property name="toolTip">
-                 <string>Fill Color</string>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QLabel" name="fillShadeLabel">
-                <property name="minimumSize">
-                 <size>
-                  <width>20</width>
-                  <height>0</height>
-                 </size>
-                </property>
-                <property name="maximumSize">
-                 <size>
-                  <width>22</width>
-                  <height>22</height>
-                 </size>
-                </property>
-                <property name="text">
-                 <string/>
-                </property>
-                <property name="buddy">
-                 <cstring>fillShade_</cstring>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMShadeButton" name="fillShade_">
-                <property name="toolTip">
-                 <string>Fill Shade</string>
-                </property>
-                <property name="text">
-                 <string/>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <spacer>
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>40</width>
-                  <height>20</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-             </layout>
-            </item>
-            <item>
-             <layout class="QHBoxLayout" name="_10">
-              <item>
-               <widget class="QLabel" name="StrokeIcon">
-                <property name="minimumSize">
-                 <size>
-                  <width>20</width>
-                  <height>0</height>
-                 </size>
-                </property>
-                <property name="maximumSize">
-                 <size>
-                  <width>22</width>
-                  <height>22</height>
-                 </size>
-                </property>
-                <property name="text">
-                 <string/>
-                </property>
-                <property name="buddy">
-                 <cstring>strokeColor_</cstring>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMColorCombo" name="strokeColor_">
-                <property name="toolTip">
-                 <string>Stroke Color</string>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QLabel" name="strokeShadeLabel">
-                <property name="minimumSize">
-                 <size>
-                  <width>20</width>
-                  <height>0</height>
-                 </size>
-                </property>
-                <property name="maximumSize">
-                 <size>
-                  <width>22</width>
-                  <height>22</height>
-                 </size>
-                </property>
-                <property name="text">
-                 <string/>
-                </property>
-                <property name="buddy">
-                 <cstring>strokeShade_</cstring>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMShadeButton" name="strokeShade_">
-                <property name="toolTip">
-                 <string>Stroke Shade</string>
-                </property>
-                <property name="text">
-                 <string/>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <spacer>
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>40</width>
-                  <height>20</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-             </layout>
-            </item>
-            <item>
-             <layout class="QHBoxLayout" name="_11">
-              <item>
-               <widget class="QLabel" name="backIcon">
-                <property name="minimumSize">
-                 <size>
-                  <width>20</width>
-                  <height>0</height>
-                 </size>
-                </property>
-                <property name="maximumSize">
-                 <size>
-                  <width>22</width>
-                  <height>22</height>
-                 </size>
-                </property>
-                <property name="text">
-                 <string/>
-                </property>
-                <property name="buddy">
-                 <cstring>fillColor_</cstring>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMColorCombo" name="backColor_">
-                <property name="toolTip">
-                 <string>Background Color</string>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QLabel" name="backShadeLabel">
-                <property name="minimumSize">
-                 <size>
-                  <width>20</width>
-                  <height>0</height>
-                 </size>
-                </property>
-                <property name="maximumSize">
-                 <size>
-                  <width>22</width>
-                  <height>22</height>
-                 </size>
-                </property>
-                <property name="text">
-                 <string/>
-                </property>
-                <property name="buddy">
-                 <cstring>fillShade_</cstring>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMShadeButton" name="backShade_">
-                <property name="toolTip">
-                 <string>Background Shade</string>
-                </property>
-                <property name="text">
-                 <string/>
-                </property>
-               </widget>
-              </item>
               <item>
-               <spacer>
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>40</width>
-                  <height>20</height>
-                 </size>
-                </property>
-               </spacer>
+               <layout class="QHBoxLayout" name="_2">
+                <item>
+                 <widget class="QLabel" name="FillIcon">
+                  <property name="minimumSize">
+                   <size>
+                    <width>20</width>
+                    <height>0</height>
+                   </size>
+                  </property>
+                  <property name="maximumSize">
+                   <size>
+                    <width>22</width>
+                    <height>22</height>
+                   </size>
+                  </property>
+                  <property name="text">
+                   <string/>
+                  </property>
+                  <property name="buddy">
+                   <cstring>fillColor_</cstring>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="SMColorCombo" name="fillColor_">
+                  <property name="toolTip">
+                   <string>Fill Color</string>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="QLabel" name="fillShadeLabel">
+                  <property name="minimumSize">
+                   <size>
+                    <width>20</width>
+                    <height>0</height>
+                   </size>
+                  </property>
+                  <property name="maximumSize">
+                   <size>
+                    <width>22</width>
+                    <height>22</height>
+                   </size>
+                  </property>
+                  <property name="text">
+                   <string/>
+                  </property>
+                  <property name="buddy">
+                   <cstring>fillShade_</cstring>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="SMShadeButton" name="fillShade_">
+                  <property name="toolTip">
+                   <string>Fill Shade</string>
+                  </property>
+                  <property name="text">
+                   <string/>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <spacer>
+                  <property name="orientation">
+                   <enum>Qt::Horizontal</enum>
+                  </property>
+                  <property name="sizeHint" stdset="0">
+                   <size>
+                    <width>40</width>
+                    <height>20</height>
+                   </size>
+                  </property>
+                 </spacer>
+                </item>
+               </layout>
+              </item>
+              <item>
+               <layout class="QHBoxLayout" name="_10">
+                <item>
+                 <widget class="QLabel" name="StrokeIcon">
+                  <property name="minimumSize">
+                   <size>
+                    <width>20</width>
+                    <height>0</height>
+                   </size>
+                  </property>
+                  <property name="maximumSize">
+                   <size>
+                    <width>22</width>
+                    <height>22</height>
+                   </size>
+                  </property>
+                  <property name="text">
+                   <string/>
+                  </property>
+                  <property name="buddy">
+                   <cstring>strokeColor_</cstring>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="SMColorCombo" name="strokeColor_">
+                  <property name="toolTip">
+                   <string>Stroke Color</string>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="QLabel" name="strokeShadeLabel">
+                  <property name="minimumSize">
+                   <size>
+                    <width>20</width>
+                    <height>0</height>
+                   </size>
+                  </property>
+                  <property name="maximumSize">
+                   <size>
+                    <width>22</width>
+                    <height>22</height>
+                   </size>
+                  </property>
+                  <property name="text">
+                   <string/>
+                  </property>
+                  <property name="buddy">
+                   <cstring>strokeShade_</cstring>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="SMShadeButton" name="strokeShade_">
+                  <property name="toolTip">
+                   <string>Stroke Shade</string>
+                  </property>
+                  <property name="text">
+                   <string/>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <spacer>
+                  <property name="orientation">
+                   <enum>Qt::Horizontal</enum>
+                  </property>
+                  <property name="sizeHint" stdset="0">
+                   <size>
+                    <width>40</width>
+                    <height>20</height>
+                   </size>
+                  </property>
+                 </spacer>
+                </item>
+               </layout>
+              </item>
+              <item>
+               <layout class="QHBoxLayout" name="_11">
+                <item>
+                 <widget class="QLabel" name="backIcon">
+                  <property name="minimumSize">
+                   <size>
+                    <width>20</width>
+                    <height>0</height>
+                   </size>
+                  </property>
+                  <property name="maximumSize">
+                   <size>
+                    <width>22</width>
+                    <height>22</height>
+                   </size>
+                  </property>
+                  <property name="text">
+                   <string/>
+                  </property>
+                  <property name="buddy">
+                   <cstring>fillColor_</cstring>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="SMColorCombo" name="backColor_">
+                  <property name="toolTip">
+                   <string>Background Color</string>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="QLabel" name="backShadeLabel">
+                  <property name="minimumSize">
+                   <size>
+                    <width>20</width>
+                    <height>0</height>
+                   </size>
+                  </property>
+                  <property name="maximumSize">
+                   <size>
+                    <width>22</width>
+                    <height>22</height>
+                   </size>
+                  </property>
+                  <property name="text">
+                   <string/>
+                  </property>
+                  <property name="buddy">
+                   <cstring>fillShade_</cstring>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="SMShadeButton" name="backShade_">
+                  <property name="toolTip">
+                   <string>Background Shade</string>
+                  </property>
+                  <property name="text">
+                   <string/>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <spacer>
+                  <property name="orientation">
+                   <enum>Qt::Horizontal</enum>
+                  </property>
+                  <property name="sizeHint" stdset="0">
+                   <size>
+                    <width>40</width>
+                    <height>20</height>
+                   </size>
+                  </property>
+                 </spacer>
+                </item>
+               </layout>
               </item>
              </layout>
-            </item>
-           </layout>
-          </widget>
-         </item>
-        </layout>
+            </widget>
+           </item>
+          </layout>
+         </widget>
+        </widget>
        </item>
       </layout>
      </widget>
@@ -873,6 +897,11 @@
    <extends>QPushButton</extends>
    <header>ui/smshadebutton.h</header>
   </customwidget>
+  <customwidget>
+   <class>SMSpinBox</class>
+   <extends>QSpinBox</extends>
+   <header>ui/smspinbox.h</header>
+  </customwidget>
   <customwidget>
    <class>SMFontComboH</class>
    <extends>QWidget</extends>
@@ -885,11 +914,6 @@
    <header>ui/smstyleselect.h</header>
    <container>1</container>
   </customwidget>
-  <customwidget>
-   <class>SMSpinBox</class>
-   <extends>QSpinBox</extends>
-   <header>ui/smspinbox.h</header>
-  </customwidget>
   <customwidget>
    <class>SMFontFeatures</class>
    <extends>QWidget</extends>
diff --git a/scribus/ui/smpstylewidget.ui b/scribus/ui/smpstylewidget.ui
index bec36dc55..c926f7250 100644
--- a/scribus/ui/smpstylewidget.ui
+++ b/scribus/ui/smpstylewidget.ui
@@ -6,13 +6,19 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>695</width>
-    <height>582</height>
+    <width>655</width>
+    <height>562</height>
    </rect>
   </property>
   <layout class="QVBoxLayout">
    <item>
     <widget class="QTabWidget" name="tabWidget">
+     <property name="sizePolicy">
+      <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
+       <horstretch>0</horstretch>
+       <verstretch>0</verstretch>
+      </sizepolicy>
+     </property>
      <property name="currentIndex">
       <number>0</number>
      </property>
@@ -22,741 +28,754 @@
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_8">
        <item>
-        <layout class="QHBoxLayout">
-         <property name="spacing">
-          <number>5</number>
+        <widget class="QScrollArea" name="scrollArea">
+         <property name="frameShape">
+          <enum>QFrame::StyledPanel</enum>
          </property>
-         <item>
-          <widget class="QLabel" name="parentLabel">
-           <property name="text">
-            <string>Based On:</string>
-           </property>
-           <property name="wordWrap">
-            <bool>false</bool>
-           </property>
-          </widget>
-         </item>
-         <item>
-          <widget class="QComboBox" name="parentCombo">
-           <property name="sizePolicy">
-            <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
-             <horstretch>5</horstretch>
-             <verstretch>0</verstretch>
-            </sizepolicy>
-           </property>
-           <property name="toolTip">
-            <string>Parent Style</string>
-           </property>
-          </widget>
-         </item>
-        </layout>
-       </item>
-       <item>
-        <layout class="QGridLayout" name="gridLayout">
-         <item row="0" column="0">
-          <widget class="QGroupBox" name="distancesBox">
-           <property name="sizePolicy">
-            <sizepolicy hsizetype="Preferred" vsizetype="Minimum">
-             <horstretch>0</horstretch>
-             <verstretch>0</verstretch>
-            </sizepolicy>
-           </property>
-           <property name="title">
-            <string>Alignment and Distances</string>
-           </property>
-           <layout class="QVBoxLayout" name="verticalLayout_2">
-            <item>
-             <layout class="QHBoxLayout">
-              <item>
-               <widget class="SMAlignSelect" name="alignment" native="true">
-                <property name="sizePolicy">
-                 <sizepolicy hsizetype="Minimum" vsizetype="Minimum">
-                  <horstretch>0</horstretch>
-                  <verstretch>0</verstretch>
-                 </sizepolicy>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMDirectionSelect" name="direction" native="true"/>
-              </item>
-              <item>
-               <spacer>
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>0</width>
-                  <height>20</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-             </layout>
-            </item>
-            <item>
-             <layout class="QHBoxLayout">
-              <item>
-               <widget class="QLabel" name="lineSpacingLabel">
-                <property name="minimumSize">
-                 <size>
-                  <width>20</width>
-                  <height>0</height>
-                 </size>
-                </property>
-                <property name="maximumSize">
-                 <size>
-                  <width>22</width>
-                  <height>22</height>
-                 </size>
-                </property>
-                <property name="text">
-                 <string/>
-                </property>
-                <property name="buddy">
-                 <cstring>lineSpacingMode</cstring>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMScComboBox" name="lineSpacingMode">
-                <property name="sizePolicy">
-                 <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
-                  <horstretch>0</horstretch>
-                  <verstretch>0</verstretch>
-                 </sizepolicy>
-                </property>
-                <property name="toolTip">
-                 <string>Line Spacing Mode</string>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMScrSpinBox" name="lineSpacing">
-                <property name="toolTip">
-                 <string>Line Spacing</string>
-                </property>
-                <property name="minimum">
-                 <number>1</number>
-                </property>
-                <property name="maximum">
-                 <number>300</number>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <spacer>
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>0</width>
-                  <height>20</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-             </layout>
-            </item>
-            <item>
-             <layout class="QHBoxLayout" name="horizontalLayout_5">
-              <item>
-               <widget class="QLabel" name="spaceAboveLabel">
-                <property name="minimumSize">
-                 <size>
-                  <width>20</width>
-                  <height>0</height>
-                 </size>
-                </property>
-                <property name="maximumSize">
-                 <size>
-                  <width>22</width>
-                  <height>22</height>
-                 </size>
-                </property>
-                <property name="text">
-                 <string/>
-                </property>
-                <property name="buddy">
-                 <cstring>spaceAbove</cstring>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMScrSpinBox" name="spaceAbove">
-                <property name="toolTip">
-                 <string>Space Above</string>
-                </property>
-                <property name="maximum">
-                 <number>300</number>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <spacer>
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>0</width>
-                  <height>20</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-              <item>
-               <widget class="QLabel" name="spaceBelowLabel">
-                <property name="minimumSize">
-                 <size>
-                  <width>20</width>
-                  <height>0</height>
-                 </size>
-                </property>
-                <property name="maximumSize">
-                 <size>
-                  <width>22</width>
-                  <height>22</height>
-                 </size>
-                </property>
-                <property name="text">
-                 <string/>
-                </property>
-                <property name="buddy">
-                 <cstring>spaceBelow</cstring>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMScrSpinBox" name="spaceBelow">
-                <property name="toolTip">
-                 <string>Space Below</string>
-                </property>
-                <property name="maximum">
-                 <number>300</number>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <spacer>
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>0</width>
-                  <height>20</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-             </layout>
-            </item>
-           </layout>
-          </widget>
-         </item>
-         <item row="0" column="1">
-          <widget class="QGroupBox" name="textFlowBox">
-           <property name="sizePolicy">
-            <sizepolicy hsizetype="Preferred" vsizetype="Minimum">
-             <horstretch>0</horstretch>
-             <verstretch>0</verstretch>
-            </sizepolicy>
-           </property>
-           <property name="title">
-            <string>Orphans and Widows</string>
-           </property>
-           <layout class="QVBoxLayout" name="verticalLayout_3">
-            <item>
-             <layout class="QHBoxLayout" name="horizontalLayout_11">
-              <item>
-               <widget class="QLabel" name="keepLabelStart">
-                <property name="toolTip">
-                 <string>Ensure that first lines of a paragraph won't end up separated from the rest (known as widow/orphan control)</string>
-                </property>
-                <property name="text">
-                 <string>Don't separate first</string>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMSpinBox" name="keepLinesStart">
-                <property name="toolTip">
-                 <string>Ensure that first lines of a paragraph won't end up separated from the rest (known as widow/orphan control)</string>
-                </property>
-                <property name="suffix">
-                 <string> lines</string>
-                </property>
-                <property name="maximum">
-                 <number>10</number>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <spacer name="horizontalSpacer_5">
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>0</width>
-                  <height>20</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-             </layout>
-            </item>
-            <item>
-             <layout class="QHBoxLayout" name="horizontalLayout_14">
-              <item>
-               <widget class="QLabel" name="keepLabelEnd">
-                <property name="text">
-                 <string>Don't separate last</string>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="SMSpinBox" name="keepLinesEnd">
-                <property name="toolTip">
-                 <string>Ensure that last lines of a paragraph won't end up separated from the rest (known as widow/orphan control)</string>
-                </property>
-                <property name="suffix">
-                 <string> lines</string>
-                </property>
-                <property name="maximum">
-                 <number>10</number>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <spacer name="horizontalSpacer_6">
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>0</width>
-                  <height>20</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-             </layout>
-            </item>
-            <item>
-             <widget class="SMCheckBox" name="keepTogether">
-              <property name="toolTip">
-               <string>If checked, ensures that the paragraph won't be split across multiple pages or columns</string>
-              </property>
-              <property name="text">
-               <string>Do not split paragraph</string>
-              </property>
-             </widget>
-            </item>
-            <item>
-             <widget class="SMCheckBox" name="keepWithNext">
-              <property name="toolTip">
-               <string>If checked, automatically moves the paragraph to the next column or page if the next paragraph isn't on the same page or column</string>
-              </property>
-              <property name="text">
-               <string>Keep with next paragraph</string>
-              </property>
-             </widget>
-            </item>
-           </layout>
-          </widget>
-         </item>
-         <item row="1" column="0">
-          <widget class="QGroupBox" name="opticalMarginsGroupBox">
-           <property name="title">
-            <string>Optical Margins</string>
-           </property>
-           <layout class="QGridLayout" name="gridLayout_3">
-            <item row="6" column="0" colspan="2">
-             <layout class="QHBoxLayout" name="horizontalLayout_4">
-              <item>
-               <widget class="QPushButton" name="optMarginDefaultButton">
-                <property name="text">
-                 <string>Reset to Default</string>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QPushButton" name="optMarginParentButton">
-                <property name="text">
-                 <string>Use Parent Value</string>
-                </property>
-               </widget>
-              </item>
-             </layout>
-            </item>
-            <item row="1" column="0" colspan="2">
-             <layout class="QGridLayout" name="gridLayout_5">
-              <item row="0" column="1">
-               <widget class="SMRadioButton" name="optMarginRadioBoth">
-                <property name="sizePolicy">
-                 <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
-                  <horstretch>0</horstretch>
-                  <verstretch>0</verstretch>
-                 </sizepolicy>
-                </property>
-                <property name="text">
-                 <string>Both Sides</string>
-                </property>
-               </widget>
-              </item>
-              <item row="0" column="0">
-               <widget class="SMRadioButton" name="optMarginRadioNone">
-                <property name="sizePolicy">
-                 <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
-                  <horstretch>0</horstretch>
-                  <verstretch>0</verstretch>
-                 </sizepolicy>
-                </property>
-                <property name="text">
-                 <string>None</string>
-                </property>
-                <property name="checked">
-                 <bool>true</bool>
-                </property>
-               </widget>
-              </item>
-              <item row="1" column="0">
-               <widget class="SMRadioButton" name="optMarginRadioLeft">
-                <property name="text">
-                 <string>Left Only</string>
-                </property>
-               </widget>
-              </item>
-              <item row="1" column="1">
-               <widget class="SMRadioButton" name="optMarginRadioRight">
-                <property name="sizePolicy">
-                 <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
-                  <horstretch>0</horstretch>
-                  <verstretch>0</verstretch>
-                 </sizepolicy>
-                </property>
-                <property name="text">
-                 <string>Right Only</string>
-                </property>
-               </widget>
-              </item>
-             </layout>
-            </item>
-           </layout>
-          </widget>
-         </item>
-         <item row="1" column="1">
-          <widget class="QGroupBox" name="advSettingsGroupBox">
-           <property name="enabled">
-            <bool>true</bool>
-           </property>
-           <property name="sizePolicy">
-            <sizepolicy hsizetype="Preferred" vsizetype="Minimum">
-             <horstretch>0</horstretch>
-             <verstretch>0</verstretch>
-            </sizepolicy>
-           </property>
-           <property name="minimumSize">
-            <size>
-             <width>0</width>
-             <height>0</height>
-            </size>
-           </property>
-           <property name="title">
-            <string>Advanced Settings</string>
-           </property>
-           <layout class="QVBoxLayout" name="verticalLayout_9">
-            <item>
-             <layout class="QHBoxLayout" name="horizontalLayout_13">
-              <item>
-               <layout class="QVBoxLayout" name="verticalLayout_7">
+         <property name="widgetResizable">
+          <bool>true</bool>
+         </property>
+         <widget class="QWidget" name="scrollAreaWidgetContents">
+          <property name="geometry">
+           <rect>
+            <x>0</x>
+            <y>0</y>
+            <width>599</width>
+            <height>570</height>
+           </rect>
+          </property>
+          <layout class="QVBoxLayout" name="verticalLayout_11">
+           <item>
+            <layout class="QVBoxLayout" name="verticalLayout_10">
+             <item>
+              <layout class="QHBoxLayout">
+               <property name="spacing">
+                <number>5</number>
+               </property>
+               <item>
+                <widget class="QLabel" name="parentLabel">
+                 <property name="text">
+                  <string>Based On:</string>
+                 </property>
+                 <property name="wordWrap">
+                  <bool>false</bool>
+                 </property>
+                </widget>
+               </item>
+               <item>
+                <widget class="QComboBox" name="parentCombo">
+                 <property name="sizePolicy">
+                  <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
+                   <horstretch>5</horstretch>
+                   <verstretch>0</verstretch>
+                  </sizepolicy>
+                 </property>
+                 <property name="toolTip">
+                  <string>Parent Style</string>
+                 </property>
+                </widget>
+               </item>
+              </layout>
+             </item>
+            </layout>
+           </item>
+           <item>
+            <layout class="QGridLayout" name="gridLayout">
+             <item row="0" column="0">
+              <widget class="QGroupBox" name="distancesBox">
+               <property name="sizePolicy">
+                <sizepolicy hsizetype="Preferred" vsizetype="Minimum">
+                 <horstretch>0</horstretch>
+                 <verstretch>0</verstretch>
+                </sizepolicy>
+               </property>
+               <property name="title">
+                <string>Alignment and Distances</string>
+               </property>
+               <layout class="QVBoxLayout" name="verticalLayout_2">
                 <item>
-                 <layout class="QHBoxLayout" name="horizontalLayout">
+                 <layout class="QHBoxLayout">
                   <item>
-                   <widget class="QLabel" name="minSpaceLabel">
-                    <property name="text">
-                     <string>Min. Space Width:</string>
-                    </property>
-                    <property name="buddy">
-                     <cstring>minSpaceSpin</cstring>
+                   <widget class="SMAlignSelect" name="alignment" native="true">
+                    <property name="sizePolicy">
+                     <sizepolicy hsizetype="Minimum" vsizetype="Minimum">
+                      <horstretch>0</horstretch>
+                      <verstretch>0</verstretch>
+                     </sizepolicy>
                     </property>
                    </widget>
                   </item>
                   <item>
-                   <widget class="SMScrSpinBox" name="minSpaceSpin">
-                    <property name="minimumSize">
+                   <widget class="SMDirectionSelect" name="direction" native="true"/>
+                  </item>
+                  <item>
+                   <spacer>
+                    <property name="orientation">
+                     <enum>Qt::Horizontal</enum>
+                    </property>
+                    <property name="sizeHint" stdset="0">
                      <size>
                       <width>0</width>
-                      <height>0</height>
+                      <height>20</height>
                      </size>
                     </property>
-                    <property name="baseSize">
+                   </spacer>
+                  </item>
+                 </layout>
+                </item>
+                <item>
+                 <layout class="QHBoxLayout">
+                  <item>
+                   <widget class="QLabel" name="lineSpacingLabel">
+                    <property name="minimumSize">
                      <size>
-                      <width>0</width>
+                      <width>20</width>
                       <height>0</height>
                      </size>
                     </property>
+                    <property name="maximumSize">
+                     <size>
+                      <width>22</width>
+                      <height>22</height>
+                     </size>
+                    </property>
+                    <property name="text">
+                     <string/>
+                    </property>
+                    <property name="buddy">
+                     <cstring>lineSpacingMode</cstring>
+                    </property>
+                   </widget>
+                  </item>
+                  <item>
+                   <widget class="SMScComboBox" name="lineSpacingMode">
+                    <property name="sizePolicy">
+                     <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
+                      <horstretch>0</horstretch>
+                      <verstretch>0</verstretch>
+                     </sizepolicy>
+                    </property>
                     <property name="toolTip">
-                     <string>Maximum white space compression allowed. Expressed as a percentage of the current white space value.</string>
+                     <string>Line Spacing Mode</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item>
+                   <widget class="SMScrSpinBox" name="lineSpacing">
+                    <property name="toolTip">
+                     <string>Line Spacing</string>
+                    </property>
+                    <property name="minimum">
+                     <number>1</number>
+                    </property>
+                    <property name="maximum">
+                     <number>300</number>
                     </property>
                    </widget>
                   </item>
+                  <item>
+                   <spacer>
+                    <property name="orientation">
+                     <enum>Qt::Horizontal</enum>
+                    </property>
+                    <property name="sizeHint" stdset="0">
+                     <size>
+                      <width>0</width>
+                      <height>20</height>
+                     </size>
+                    </property>
+                   </spacer>
+                  </item>
                  </layout>
                 </item>
                 <item>
-                 <widget class="QLabel" name="glyphExtensionLabel">
-                  <property name="text">
-                   <string>Glyph Extension </string>
-                  </property>
-                 </widget>
-                </item>
-                <item>
-                 <layout class="QHBoxLayout" name="horizontalLayout_2">
+                 <layout class="QHBoxLayout" name="horizontalLayout_5">
                   <item>
-                   <widget class="QLabel" name="minGlyphExtLabel">
+                   <widget class="QLabel" name="spaceAboveLabel">
+                    <property name="minimumSize">
+                     <size>
+                      <width>20</width>
+                      <height>0</height>
+                     </size>
+                    </property>
+                    <property name="maximumSize">
+                     <size>
+                      <width>22</width>
+                      <height>22</height>
+                     </size>
+                    </property>
                     <property name="text">
-                     <string>Min:</string>
+                     <string/>
                     </property>
                     <property name="buddy">
-                     <cstring>minGlyphExtSpin</cstring>
+                     <cstring>spaceAbove</cstring>
                     </property>
                    </widget>
                   </item>
                   <item>
-                   <widget class="SMScrSpinBox" name="minGlyphExtSpin">
-                    <property name="minimumSize">
+                   <widget class="SMScrSpinBox" name="spaceAbove">
+                    <property name="toolTip">
+                     <string>Space Above</string>
+                    </property>
+                    <property name="maximum">
+                     <number>300</number>
+                    </property>
+                   </widget>
+                  </item>
+                  <item>
+                   <spacer>
+                    <property name="orientation">
+                     <enum>Qt::Horizontal</enum>
+                    </property>
+                    <property name="sizeHint" stdset="0">
                      <size>
                       <width>0</width>
+                      <height>20</height>
+                     </size>
+                    </property>
+                   </spacer>
+                  </item>
+                  <item>
+                   <widget class="QLabel" name="spaceBelowLabel">
+                    <property name="minimumSize">
+                     <size>
+                      <width>20</width>
                       <height>0</height>
                      </size>
                     </property>
+                    <property name="maximumSize">
+                     <size>
+                      <width>22</width>
+                      <height>22</height>
+                     </size>
+                    </property>
+                    <property name="text">
+                     <string/>
+                    </property>
+                    <property name="buddy">
+                     <cstring>spaceBelow</cstring>
+                    </property>
+                   </widget>
+                  </item>
+                  <item>
+                   <widget class="SMScrSpinBox" name="spaceBelow">
                     <property name="toolTip">
-                     <string>Maximum compression of glyphs</string>
+                     <string>Space Below</string>
+                    </property>
+                    <property name="maximum">
+                     <number>300</number>
                     </property>
                    </widget>
                   </item>
                   <item>
-                   <widget class="QLabel" name="maxGlyphExtLabel">
+                   <spacer>
+                    <property name="orientation">
+                     <enum>Qt::Horizontal</enum>
+                    </property>
+                    <property name="sizeHint" stdset="0">
+                     <size>
+                      <width>0</width>
+                      <height>20</height>
+                     </size>
+                    </property>
+                   </spacer>
+                  </item>
+                 </layout>
+                </item>
+               </layout>
+              </widget>
+             </item>
+             <item row="0" column="1">
+              <widget class="QGroupBox" name="textFlowBox">
+               <property name="sizePolicy">
+                <sizepolicy hsizetype="Preferred" vsizetype="Minimum">
+                 <horstretch>0</horstretch>
+                 <verstretch>0</verstretch>
+                </sizepolicy>
+               </property>
+               <property name="title">
+                <string>Orphans and Widows</string>
+               </property>
+               <layout class="QVBoxLayout" name="verticalLayout_3">
+                <item>
+                 <layout class="QHBoxLayout" name="horizontalLayout_11">
+                  <item>
+                   <widget class="QLabel" name="keepLabelStart">
+                    <property name="toolTip">
+                     <string>Ensure that first lines of a paragraph won't end up separated from the rest (known as widow/orphan control)</string>
+                    </property>
                     <property name="text">
-                     <string>Max:</string>
+                     <string>Don't separate first</string>
                     </property>
-                    <property name="buddy">
-                     <cstring>maxGlyphExtSpin</cstring>
+                   </widget>
+                  </item>
+                  <item>
+                   <widget class="SMSpinBox" name="keepLinesStart">
+                    <property name="toolTip">
+                     <string>Ensure that first lines of a paragraph won't end up separated from the rest (known as widow/orphan control)</string>
+                    </property>
+                    <property name="suffix">
+                     <string> lines</string>
+                    </property>
+                    <property name="maximum">
+                     <number>10</number>
                     </property>
                    </widget>
                   </item>
                   <item>
-                   <widget class="SMScrSpinBox" name="maxGlyphExtSpin">
-                    <property name="minimumSize">
+                   <spacer name="horizontalSpacer_5">
+                    <property name="orientation">
+                     <enum>Qt::Horizontal</enum>
+                    </property>
+                    <property name="sizeHint" stdset="0">
                      <size>
                       <width>0</width>
-                      <height>0</height>
+                      <height>20</height>
                      </size>
                     </property>
+                   </spacer>
+                  </item>
+                 </layout>
+                </item>
+                <item>
+                 <layout class="QHBoxLayout" name="horizontalLayout_14">
+                  <item>
+                   <widget class="QLabel" name="keepLabelEnd">
+                    <property name="text">
+                     <string>Don't separate last</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item>
+                   <widget class="SMSpinBox" name="keepLinesEnd">
                     <property name="toolTip">
-                     <string>Maximum extension of glyphs</string>
+                     <string>Ensure that last lines of a paragraph won't end up separated from the rest (known as widow/orphan control)</string>
+                    </property>
+                    <property name="suffix">
+                     <string> lines</string>
+                    </property>
+                    <property name="maximum">
+                     <number>10</number>
                     </property>
                    </widget>
                   </item>
+                  <item>
+                   <spacer name="horizontalSpacer_6">
+                    <property name="orientation">
+                     <enum>Qt::Horizontal</enum>
+                    </property>
+                    <property name="sizeHint" stdset="0">
+                     <size>
+                      <width>0</width>
+                      <height>20</height>
+                     </size>
+                    </property>
+                   </spacer>
+                  </item>
                  </layout>
                 </item>
                 <item>
-                 <layout class="QHBoxLayout" name="horizontalLayout_3">
+                 <widget class="SMCheckBox" name="keepTogether">
+                  <property name="toolTip">
+                   <string>If checked, ensures that the paragraph won't be split across multiple pages or columns</string>
+                  </property>
+                  <property name="text">
+                   <string>Do not split paragraph</string>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="SMCheckBox" name="keepWithNext">
+                  <property name="toolTip">
+                   <string>If checked, automatically moves the paragraph to the next column or page if the next paragraph isn't on the same page or column</string>
+                  </property>
+                  <property name="text">
+                   <string>Keep with next paragraph</string>
+                  </property>
+                 </widget>
+                </item>
+               </layout>
+              </widget>
+             </item>
+             <item row="1" column="0">
+              <widget class="QGroupBox" name="opticalMarginsGroupBox">
+               <property name="title">
+                <string>Optical Margins</string>
+               </property>
+               <layout class="QGridLayout" name="gridLayout_3">
+                <item row="6" column="0" colspan="2">
+                 <layout class="QHBoxLayout" name="horizontalLayout_4">
                   <item>
-                   <widget class="QLabel" name="label_3">
+                   <widget class="QPushButton" name="optMarginDefaultButton">
+                    <property name="text">
+                     <string>Reset to Default</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item>
+                   <widget class="QPushButton" name="optMarginParentButton">
+                    <property name="text">
+                     <string>Use Parent Value</string>
+                    </property>
+                   </widget>
+                  </item>
+                 </layout>
+                </item>
+                <item row="1" column="0" colspan="2">
+                 <layout class="QGridLayout" name="gridLayout_5">
+                  <item row="0" column="1">
+                   <widget class="SMRadioButton" name="optMarginRadioBoth">
                     <property name="sizePolicy">
-                     <sizepolicy hsizetype="Minimum" vsizetype="Minimum">
+                     <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
                       <horstretch>0</horstretch>
                       <verstretch>0</verstretch>
                      </sizepolicy>
                     </property>
                     <property name="text">
-                     <string>Consecutive Hyphenations Allowed:</string>
+                     <string>Both Sides</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item row="0" column="0">
+                   <widget class="SMRadioButton" name="optMarginRadioNone">
+                    <property name="sizePolicy">
+                     <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
+                      <horstretch>0</horstretch>
+                      <verstretch>0</verstretch>
+                     </sizepolicy>
+                    </property>
+                    <property name="text">
+                     <string>None</string>
+                    </property>
+                    <property name="checked">
+                     <bool>true</bool>
                     </property>
                    </widget>
                   </item>
+                  <item row="1" column="0">
+                   <widget class="SMRadioButton" name="optMarginRadioLeft">
+                    <property name="text">
+                     <string>Left Only</string>
+                    </property>
+                   </widget>
+                  </item>
+                  <item row="1" column="1">
+                   <widget class="SMRadioButton" name="optMarginRadioRight">
+                    <property name="sizePolicy">
+                     <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
+                      <horstretch>0</horstretch>
+                      <verstretch>0</verstretch>
+                     </sizepolicy>
+                    </property>
+                    <property name="text">
+                     <string>Right Only</string>
+                    </property>
+                   </widget>
+                  </item>
+                 </layout>
+                </item>
+               </layout>
+              </widget>
+             </item>
+             <item row="1" column="1">
+              <widget class="QGroupBox" name="advSettingsGroupBox">
+               <property name="enabled">
+                <bool>true</bool>
+               </property>
+               <property name="sizePolicy">
+                <sizepolicy hsizetype="Preferred" vsizetype="Minimum">
+                 <horstretch>0</horstretch>
+                 <verstretch>0</verstretch>
+                </sizepolicy>
+               </property>
+               <property name="minimumSize">
+                <size>
+                 <width>0</width>
+                 <height>0</height>
+                </size>
+               </property>
+               <property name="title">
+                <string>Advanced Settings</string>
+               </property>
+               <layout class="QVBoxLayout" name="verticalLayout_9">
+                <item>
+                 <layout class="QHBoxLayout" name="horizontalLayout_13">
+                  <item>
+                   <layout class="QVBoxLayout" name="verticalLayout_7">
+                    <item>
+                     <layout class="QHBoxLayout" name="horizontalLayout">
+                      <item>
+                       <widget class="QLabel" name="minSpaceLabel">
+                        <property name="text">
+                         <string>Min. Space Width:</string>
+                        </property>
+                        <property name="buddy">
+                         <cstring>minSpaceSpin</cstring>
+                        </property>
+                       </widget>
+                      </item>
+                      <item>
+                       <widget class="SMScrSpinBox" name="minSpaceSpin">
+                        <property name="minimumSize">
+                         <size>
+                          <width>0</width>
+                          <height>0</height>
+                         </size>
+                        </property>
+                        <property name="baseSize">
+                         <size>
+                          <width>0</width>
+                          <height>0</height>
+                         </size>
+                        </property>
+                        <property name="toolTip">
+                         <string>Maximum white space compression allowed. Expressed as a percentage of the current white space value.</string>
+                        </property>
+                       </widget>
+                      </item>
+                     </layout>
+                    </item>
+                    <item>
+                     <widget class="QLabel" name="glyphExtensionLabel">
+                      <property name="text">
+                       <string>Glyph Extension </string>
+                      </property>
+                     </widget>
+                    </item>
+                    <item>
+                     <layout class="QHBoxLayout" name="horizontalLayout_2">
+                      <item>
+                       <widget class="QLabel" name="minGlyphExtLabel">
+                        <property name="text">
+                         <string>Min:</string>
+                        </property>
+                        <property name="buddy">
+                         <cstring>minGlyphExtSpin</cstring>
+                        </property>
+                       </widget>
+                      </item>
+                      <item>
+                       <widget class="SMScrSpinBox" name="minGlyphExtSpin">
+                        <property name="minimumSize">
+                         <size>
+                          <width>0</width>
+                          <height>0</height>
+                         </size>
+                        </property>
+                        <property name="toolTip">
+                         <string>Maximum compression of glyphs</string>
+                        </property>
+                       </widget>
+                      </item>
+                      <item>
+                       <widget class="QLabel" name="maxGlyphExtLabel">
+                        <property name="text">
+                         <string>Max:</string>
+                        </property>
+                        <property name="buddy">
+                         <cstring>maxGlyphExtSpin</cstring>
+                        </property>
+                       </widget>
+                      </item>
+                      <item>
+                       <widget class="SMScrSpinBox" name="maxGlyphExtSpin">
+                        <property name="minimumSize">
+                         <size>
+                          <width>0</width>
+                          <height>0</height>
+                         </size>
+                        </property>
+                        <property name="toolTip">
+                         <string>Maximum extension of glyphs</string>
+                        </property>
+                       </widget>
+                      </item>
+                     </layout>
+                    </item>
+                    <item>
+                     <layout class="QHBoxLayout" name="horizontalLayout_3">
+                      <item>
+                       <widget class="QLabel" name="label_3">
+                        <property name="sizePolicy">
+                         <sizepolicy hsizetype="Minimum" vsizetype="Minimum">
+                          <horstretch>0</horstretch>
+                          <verstretch>0</verstretch>
+                         </sizepolicy>
+                        </property>
+                        <property name="text">
+                         <string>Consecutive Hyphenations Allowed:</string>
+                        </property>
+                       </widget>
+                      </item>
+                      <item>
+                       <widget class="SMSpinBox" name="maxConsecutiveCountSpinBox"/>
+                      </item>
+                     </layout>
+                    </item>
+                   </layout>
+                  </item>
                   <item>
-                   <widget class="SMSpinBox" name="maxConsecutiveCountSpinBox"/>
+                   <spacer name="horizontalSpacer_7">
+                    <property name="orientation">
+                     <enum>Qt::Horizontal</enum>
+                    </property>
+                    <property name="sizeHint" stdset="0">
+                     <size>
+                      <width>37</width>
+                      <height>17</height>
+                     </size>
+                    </property>
+                   </spacer>
                   </item>
                  </layout>
                 </item>
                </layout>
-              </item>
+              </widget>
+             </item>
+            </layout>
+           </item>
+           <item>
+            <widget class="QGroupBox" name="tabsBox">
+             <property name="sizePolicy">
+              <sizepolicy hsizetype="Preferred" vsizetype="Expanding">
+               <horstretch>0</horstretch>
+               <verstretch>0</verstretch>
+              </sizepolicy>
+             </property>
+             <property name="title">
+              <string>Tabs and Indentation</string>
+             </property>
+             <layout class="QVBoxLayout">
               <item>
-               <spacer name="horizontalSpacer_7">
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>37</width>
-                  <height>17</height>
-                 </size>
-                </property>
-               </spacer>
+               <layout class="QHBoxLayout">
+                <item>
+                 <widget class="SMTabruler" name="tabList" native="true">
+                  <property name="sizePolicy">
+                   <sizepolicy hsizetype="MinimumExpanding" vsizetype="MinimumExpanding">
+                    <horstretch>0</horstretch>
+                    <verstretch>0</verstretch>
+                   </sizepolicy>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <spacer>
+                  <property name="orientation">
+                   <enum>Qt::Horizontal</enum>
+                  </property>
+                  <property name="sizeHint" stdset="0">
+                   <size>
+                    <width>40</width>
+                    <height>20</height>
+                   </size>
+                  </property>
+                 </spacer>
+                </item>
+               </layout>
               </item>
              </layout>
-            </item>
-           </layout>
-          </widget>
-         </item>
-        </layout>
-       </item>
-       <item>
-        <widget class="QGroupBox" name="tabsBox">
-         <property name="sizePolicy">
-          <sizepolicy hsizetype="Preferred" vsizetype="Expanding">
-           <horstretch>0</horstretch>
-           <verstretch>0</verstretch>
-          </sizepolicy>
-         </property>
-         <property name="title">
-          <string>Tabs and Indentation</string>
-         </property>
-         <layout class="QVBoxLayout">
-          <item>
-           <layout class="QHBoxLayout">
-            <item>
-             <widget class="SMTabruler" name="tabList" native="true">
-              <property name="sizePolicy">
-               <sizepolicy hsizetype="MinimumExpanding" vsizetype="MinimumExpanding">
-                <horstretch>0</horstretch>
-                <verstretch>0</verstretch>
-               </sizepolicy>
+            </widget>
+           </item>
+           <item>
+            <widget class="QGroupBox" name="smColorGroup">
+             <property name="title">
+              <string>Colors</string>
+             </property>
+             <layout class="QVBoxLayout" name="verticalLayout_4">
+              <property name="spacing">
+               <number>3</number>
               </property>
-             </widget>
-            </item>
-            <item>
-             <spacer>
-              <property name="orientation">
-               <enum>Qt::Horizontal</enum>
+              <property name="leftMargin">
+               <number>5</number>
               </property>
-              <property name="sizeHint" stdset="0">
-               <size>
-                <width>40</width>
-                <height>20</height>
-               </size>
-              </property>
-             </spacer>
-            </item>
-           </layout>
-          </item>
-         </layout>
-        </widget>
-       </item>
-       <item>
-        <widget class="QGroupBox" name="smColorGroup">
-         <property name="title">
-          <string>Colors</string>
-         </property>
-         <layout class="QVBoxLayout" name="verticalLayout_4">
-          <property name="spacing">
-           <number>3</number>
-          </property>
-          <property name="leftMargin">
-           <number>5</number>
-          </property>
-          <property name="topMargin">
-           <number>5</number>
-          </property>
-          <property name="rightMargin">
-           <number>5</number>
-          </property>
-          <property name="bottomMargin">
-           <number>5</number>
-          </property>
-          <item>
-           <layout class="QHBoxLayout" name="_6">
-            <item>
-             <widget class="QLabel" name="backIcon">
-              <property name="minimumSize">
-               <size>
-                <width>20</width>
-                <height>0</height>
-               </size>
-              </property>
-              <property name="maximumSize">
-               <size>
-                <width>22</width>
-                <height>22</height>
-               </size>
-              </property>
-              <property name="text">
-               <string/>
-              </property>
-             </widget>
-            </item>
-            <item>
-             <widget class="SMColorCombo" name="backColor_">
-              <property name="toolTip">
-               <string>Background Color</string>
-              </property>
-             </widget>
-            </item>
-            <item>
-             <widget class="QLabel" name="backShadeLabel">
-              <property name="minimumSize">
-               <size>
-                <width>20</width>
-                <height>0</height>
-               </size>
+              <property name="topMargin">
+               <number>5</number>
               </property>
-              <property name="maximumSize">
-               <size>
-                <width>22</width>
-                <height>22</height>
-               </size>
-              </property>
-              <property name="text">
-               <string/>
-              </property>
-             </widget>
-            </item>
-            <item>
-             <widget class="SMShadeButton" name="backShade_">
-              <property name="toolTip">
-               <string>Background Shade</string>
-              </property>
-              <property name="text">
-               <string/>
-              </property>
-             </widget>
-            </item>
-            <item>
-             <spacer>
-              <property name="orientation">
-               <enum>Qt::Horizontal</enum>
+              <property name="rightMargin">
+               <number>5</number>
               </property>
-              <property name="sizeHint" stdset="0">
-               <size>
-                <width>40</width>
-                <height>20</height>
-               </size>
+              <property name="bottomMargin">
+               <number>5</number>
               </property>
-             </spacer>
-            </item>
-           </layout>
-          </item>
-         </layout>
+              <item>
+               <layout class="QHBoxLayout" name="_6">
+                <item>
+                 <widget class="QLabel" name="backIcon">
+                  <property name="minimumSize">
+                   <size>
+                    <width>20</width>
+                    <height>0</height>
+                   </size>
+                  </property>
+                  <property name="maximumSize">
+                   <size>
+                    <width>22</width>
+                    <height>22</height>
+                   </size>
+                  </property>
+                  <property name="text">
+                   <string/>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="SMColorCombo" name="backColor_">
+                  <property name="toolTip">
+                   <string>Background Color</string>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="QLabel" name="backShadeLabel">
+                  <property name="minimumSize">
+                   <size>
+                    <width>20</width>
+                    <height>0</height>
+                   </size>
+                  </property>
+                  <property name="maximumSize">
+                   <size>
+                    <width>22</width>
+                    <height>22</height>
+                   </size>
+                  </property>
+                  <property name="text">
+                   <string/>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="SMShadeButton" name="backShade_">
+                  <property name="toolTip">
+                   <string>Background Shade</string>
+                  </property>
+                  <property name="text">
+                   <string/>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <spacer>
+                  <property name="orientation">
+                   <enum>Qt::Horizontal</enum>
+                  </property>
+                  <property name="sizeHint" stdset="0">
+                   <size>
+                    <width>40</width>
+                    <height>20</height>
+                   </size>
+                  </property>
+                 </spacer>
+                </item>
+               </layout>
+              </item>
+             </layout>
+            </widget>
+           </item>
+          </layout>
+         </widget>
         </widget>
        </item>
-       <item>
-        <spacer name="verticalSpacer">
-         <property name="orientation">
-          <enum>Qt::Vertical</enum>
-         </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>20</width>
-           <height>0</height>
-          </size>
-         </property>
-        </spacer>
-       </item>
       </layout>
      </widget>
      <widget class="QWidget" name="tabParagraphEffects">
@@ -1326,6 +1345,19 @@
      </widget>
     </widget>
    </item>
+   <item>
+    <spacer name="verticalSpacer">
+     <property name="orientation">
+      <enum>Qt::Vertical</enum>
+     </property>
+     <property name="sizeHint" stdset="0">
+      <size>
+       <width>20</width>
+       <height>40</height>
+      </size>
+     </property>
+    </spacer>
+   </item>
   </layout>
  </widget>
  <layoutdefault spacing="5" margin="5"/>
diff --git a/scribus/ui/stylemanager.ui b/scribus/ui/stylemanager.ui
index 22ec64678..07bf81a6a 100644
--- a/scribus/ui/stylemanager.ui
+++ b/scribus/ui/stylemanager.ui
@@ -203,7 +203,16 @@
         <property name="spacing">
          <number>0</number>
         </property>
-        <property name="margin">
+        <property name="leftMargin">
+         <number>0</number>
+        </property>
+        <property name="topMargin">
+         <number>0</number>
+        </property>
+        <property name="rightMargin">
+         <number>0</number>
+        </property>
+        <property name="bottomMargin">
          <number>0</number>
         </property>
         <item>
@@ -227,7 +236,16 @@
            <property name="spacing">
             <number>0</number>
            </property>
-           <property name="margin">
+           <property name="leftMargin">
+            <number>0</number>
+           </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
+            <number>0</number>
+           </property>
+           <property name="bottomMargin">
             <number>0</number>
            </property>
            <item>
@@ -235,7 +253,16 @@
              <property name="spacing">
               <number>10</number>
              </property>
-             <property name="margin">
+             <property name="leftMargin">
+              <number>10</number>
+             </property>
+             <property name="topMargin">
+              <number>10</number>
+             </property>
+             <property name="rightMargin">
+              <number>10</number>
+             </property>
+             <property name="bottomMargin">
               <number>10</number>
              </property>
              <item>
@@ -285,7 +312,7 @@
            <item>
             <widget class="QFrame" name="mainFrame">
              <property name="sizePolicy">
-              <sizepolicy hsizetype="Expanding" vsizetype="MinimumExpanding">
+              <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
                <horstretch>0</horstretch>
                <verstretch>0</verstretch>
               </sizepolicy>
@@ -320,7 +347,16 @@
        <property name="spacing">
         <number>5</number>
        </property>
-       <property name="margin">
+       <property name="leftMargin">
+        <number>6</number>
+       </property>
+       <property name="topMargin">
+        <number>6</number>
+       </property>
+       <property name="rightMargin">
+        <number>6</number>
+       </property>
+       <property name="bottomMargin">
         <number>6</number>
        </property>
        <item>
StyleManagerfix.patch (116,437 bytes)

ale

2019-11-07 11:52

manager   ~0047013

hi @fahad
thanks for the patch.

i had a look at the result of the patch.

personally, i don't like that it also allows an horizontal scrollbar in the right panel.
is it really needed?
(my screen is too big to check it...)

it also feels a bit strange that so little vertical shrinking is allowed.
it just hides the colors and stops...

would it be possible to change those two behaviors?

Fahad

2019-11-07 17:43

developer   ~0047021

@ale: the first suggestion to make horizontal scrollbar fixed is easy to implement just change horizontalScrollBarPolicy to ScrollBarAlwaysOff.

the second suggestion is not related to this bug but it should be fixed in another commits because it relate to StyleManager dialog. Its current design allows little vertical shrinking.

ale

2019-11-07 18:54

manager   ~0047023

@fahad, can you check if it shrinks enough for you when horizontalScrollBarPolicy is off and then please post a new patch?

Issue History

Date Modified Username Field Change
2016-11-13 13:02 ftake New Issue
2016-11-13 13:02 ftake File Added: Screenshot_20161113_213504.png
2016-11-14 02:30 Kunda Note Added: 0042413
2017-05-07 07:16 ftake Note Added: 0043897
2017-05-11 14:44 Matt234 File Added: Screenshot from 2017-05-11 10-43-58.png
2017-05-11 14:44 Matt234 Note Added: 0043905
2019-10-10 11:31 Fahad File Added: StyleManagerfix.patch
2019-10-10 11:31 Fahad Note Added: 0046761
2019-11-07 10:21 ale Summary Style Manager Dialog is too big to show on 1280x800 display => [PATCH] Style Manager Dialog is too big to show on 1280x800 display
2019-11-07 10:21 ale Patch No => Yes
2019-11-07 11:52 ale Note Added: 0047013
2019-11-07 17:43 Fahad Note Added: 0047021
2019-11-07 18:54 ale Note Added: 0047023